summaryrefslogtreecommitdiffstats
path: root/test/do_alltests
diff options
context:
space:
mode:
Diffstat (limited to 'test/do_alltests')
-rwxr-xr-xtest/do_alltests22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/do_alltests b/test/do_alltests
new file mode 100755
index 00000000..90ef6ae9
--- /dev/null
+++ b/test/do_alltests
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+LANGUAGE=C
+LANG=C
+export LANGUAGE
+export LANG
+
+for t in *.tar.bz2; do
+ rm -rf tmp
+ mkdir tmp
+ cd tmp
+ tar xvfj ../$t
+ dir=$(dirname $(find . -name dotest))
+ cd $dir
+ ./dotest || exit 1
+ perl -pi -e 's/.*urpmi called with.*//' urpmi_env.log urpmi_env_correct.log
+ diff urpmi_env.log urpmi_env_correct.log || exit 2
+ cd -
+ cd ..
+done
+
+rm -rf tmp